package com.yami.shop.bean.enums;

public enum RefundApplyStsType {
    UNAPPLY(0, "未申请"),
    APPLY(1, "已申请"),
    SUCCESS(2, "已完成"),
    FAIL(-1, "失败"),

    ;
    private Integer value;
    private String desc;

    RefundApplyStsType(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    public static RefundApplyStsType instance(Integer value) {
        RefundApplyStsType[] enums = values();
        for (RefundApplyStsType refundApplyStsType : enums) {
            if (refundApplyStsType.value().equals(value)) {
                return refundApplyStsType;
            }
        }
        return null;
    }

}
